Subject: [Mip6] HA prefix = HoA prefix?

From: Pete McCann <[email-masked]>
Date: Wed, 26 Jan 2005 15:14:26 -0600

Hi,

My apologies if this question has been raised/answered here before.

Given the following text in RFC 3775, section 6.1.7:

>    Home Registration (H)
>
>       The Home Registration (H) bit is set by the sending mobile node to
>       request that the receiving node should act as this node's home
>       agent.  The destination of the packet carrying this message MUST
>       be that of a router sharing the same subnet prefix as the home
>       address of the mobile node in the binding.

does this imply that the HA address (the destination of the packet)
must share the same prefix with the home address?

A possible alternative interpretation is that the router must have
some interface on the home link but this is not necessarily used as
the the destination of the packet.

Thoughts?

-Pete

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6

---

From: "Alpesh" <[email-masked]>
Date: Wed, 26 Jan 2005 21:18:38 -0800

Pete -

Per my understanding the prefix of HA and HoA MUST match (as stated below). 

-a

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Pete McCann
> Sent: Wednesday, January 26, 2005 1:14 PM
> To: [email-masked]
> Subject: [Mip6] HA prefix = HoA prefix?
> 
> 
> Hi,
> 
> does this imply that the HA address (the destination of the 
> packet) must share the same prefix with the home address?
> 
> A possible alternative interpretation is that the router must 
> have some interface on the home link but this is not 
> necessarily used as the the destination of the packet.
> 
> Thoughts?
> 
> -Pete
> 
>

---

From: Jari Arkko <[email-masked]>
Date: Thu, 27 Jan 2005 07:57:30 +0200

Yes.

--Jari

Alpesh wrote:
>>>      The Home Registration (H) bit is set by the sending 
>>
>>mobile node to
>>
>>>      agent.  The destination of the packet carrying this 
>>
>>message MUST
>>

---

From: "Charles E. Perkins" <[email-masked]>
Date: Wed, 26 Jan 2005 23:09:36 -0800

Hello Pete,

The prefixes do need to match.

Regards,
Charlie P.

---

From: Vijay Devarapalli <[email-masked]>
Date: Thu, 27 Jan 2005 02:53:58 -0800

it is actually a bit restrictive.

our HA implementation does not do this check. instead, it just
checks if the HoA of the MN falls in one of the prefixes that
the HA is configured to serve.

RFC 3963 relaxes this requirement for Mobile Routers. a Mobile
Router has an option of configuring its HoA from the Mobile
Network Prefix (delegated to the Mobile Router for use in the
Mobile Network). the Mobile Network Prefix can be different
from the home prefix.

Vijay